> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Single File Category Table

> Update the specified file category table information

> ⚠️ This endpoint is still available but will no longer be maintained. Please use [Update File Category Tables](/api-reference/file-category/update-file-category-tables) instead.




## OpenAPI

````yaml /docflow-global/en/rest-api/openapi.bundle.yaml post /api/app-api/sip/platform/v2/category/tables/update
openapi: 3.0.0
info:
  title: DocFlow API
  description: >-
    DocFlow REST API, providing file upload and file processing result retrieval
    capabilities
  version: 2.8.4
servers:
  - url: https://docflow.textin.ai
security:
  - ApiId: []
    SecretCode: []
paths:
  /api/app-api/sip/platform/v2/category/tables/update:
    post:
      tags:
        - Deprecated
      summary: Update Single File Category Table
      description: >
        Update the specified file category table information


        > ⚠️ This endpoint is still available but will no longer be maintained.
        Please use [Update File Category
        Tables](/api-reference/file-category/update-file-category-tables)
        instead.
      operationId: updateCategoryTable
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workspace_id:
                  type: string
                  description: Workspace ID
                  example: '1234567890'
                category_id:
                  type: string
                  description: File category ID
                  example: '1234567890'
                table_id:
                  type: string
                  description: Table ID
                  example: '1234567890'
                name:
                  type: string
                  description: Table name
                  example: Table 1
                  maxLength: 50
                prompt:
                  type: string
                  description: Table semantic extraction prompt
                  example: Extract item name, quantity and amount from each row
                  maxLength: 200
                collect_from_multi_table:
                  type: boolean
                  description: >-
                    Merge multiple tables, Acgpt-VL does not support multi-table
                    merge
                  example: true
                extract_model:
                  type: string
                  description: |
                    Table-level extraction model
                    - Auto: Automatically matches the extraction model
                    - Acgpt: Fast speed with stable extraction results
                    - Acgpt-VL: VLM, suitable for simple extraction (≤10 pages)
                    - DF-M1: Suitable for complex document understanding
                  example: Acgpt
                  enum:
                    - Auto
                    - Acgpt
                    - Acgpt-VL
                    - DF-M1
                with_detail:
                  type: boolean
                  description: Whether to return full details
              required:
                - workspace_id
                - category_id
                - table_id
                - collect_from_multi_table
      responses:
        '200':
          description: Successfully updated file category table
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CodeMessage'
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: Status code
          example: 200
        msg:
          type: string
          description: Status description
      required:
        - code
        - msg
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````